navi2ch stable port information

Package: navi2ch
Version: 1.8.0
Revision: 1
Description: 2ch navigator for Emacsen
License: GPL
Maintainer: Todai Fink Team
BuildDepends: fink (>= 0.24.12)
Depends: emacsen
Recommends: monafont
Source: mirror:sourceforge:%n/%n-%v.tar.gz
Source-MD5: 444423ca9add7a855243d3d923f5aadd
PatchFile: %n.patch
PatchFile-MD5: e8bdae3fb85bc2a96abf3e34e116ceac
PatchScript: <<
sed 's|@PREFIX@|%p|g' < %{PatchFile} | patch -p1
perl -pi -e "s|( -batch)|\1 -no-site-file|" configure elisp-comp doc/Makefile.in
<<
ConfigureParams: --infodir='${prefix}/share/info' --with-lispdir='${prefix}/share/emacs/site-lisp/%n' --with-icondir='%p/share/pixmaps/%n'
CompileScript: ./configure %c
InstallScript: <<
(cd icons && make install DESTDIR=%d)
(cd doc && make install DESTDIR=%d)

install -m 755 -d %i/share/emacs/site-lisp/%n/contrib
install -m 644 elisp-comp *.el %i/share/emacs/site-lisp/%n
install -m 644 contrib/*.el %i/share/emacs/site-lisp/%n/contrib

install -m 755 -d %i/etc/emacs/site-start.d
install -m 644 fink/%n-startup %i/etc/emacs/site-start.d/50%n.el

install -m 755 -d %i/lib/emacsen-common/packages/{install,remove}
install -m 755 fink/%n-install %i/lib/emacsen-common/packages/install/%n
install -m 755 fink/%n-remove %i/lib/emacsen-common/packages/remove/%n
<<
DocFiles: AUTHORS COPYING ChangeLog* INSTALL NEWS README TODO
PostInstScript: <<
if [ "$1" = "configure" ] && [ -x %p/lib/emacsen-common/emacs-package-install ]
then
%p/lib/emacsen-common/emacs-package-install %n
fi
<<
PreRmScript: <<
if [ -x %p/lib/emacsen-common/emacs-package-remove ] ; then
%p/lib/emacsen-common/emacs-package-remove %n
fi
<<
ConfFiles: %p/etc/emacs/site-start.d/50%n.el
InfoDocs: %n.info
Homepage: http://navi2ch.sourceforge.net/

navi2ch stable port .patch

diff -Naur navi2ch-1.7.5.orig/fink/navi2ch-install navi2ch-1.7.5/fink/navi2ch-install
--- navi2ch-1.7.5.orig/fink/navi2ch-install Thu Jan 1 09:00:00 1970
+++ navi2ch-1.7.5/fink/navi2ch-install Sun Apr 3 18:53:51 2005
@@ -0,0 +1,55 @@
+#!/bin/bash -e
+# @PREFIX@/lib/emacsen-common/packages/install/navi2ch
+
+abort_install() {
+ echo "Byte compile for ${FLAVOR} failed."
+ echo "Please check @PREFIX@/share/${FLAVOR}/site-lisp/${PACKAGE}/CompilationLog.gz"
+ echo
+ exit 1
+}
+
+PACKAGE=navi2ch
+
+FLAVOR=$1
+
+ELDIR=@PREFIX@/share/emacs/site-lisp/${PACKAGE}/
+ELCDIR=@PREFIX@/share/${FLAVOR}/site-lisp/${PACKAGE}/
+LOG=CompilationLog
+
+LISP="navi2ch-version.el \
+ navi2ch-vars.el navi2ch-face.el navi2ch-util.el \
+ navi2ch-net.el navi2ch-list.el navi2ch-article.el \
+ navi2ch-popup-article.el navi2ch-board-misc.el \
+ navi2ch-board.el navi2ch-articles.el navi2ch-bookmark.el \
+ navi2ch-history.el navi2ch-search.el navi2ch-message.el \
+ navi2ch.el \
+ navi2ch-head.el navi2ch-mona.el navi2ch-e21.el navi2ch-xmas.el \
+ navi2ch-splash.el navi2ch-directory.el \
+ navi2ch-be2ch.el navi2ch-multibbs.el \
+ navi2ch-jbbs-net.el navi2ch-jbbs-shitaraba.el navi2ch-machibbs.el \
+ navi2ch-futaba.el navi2ch-megabbs.el \
+ navi2ch-http-date.el navi2ch-localfile.el navi2ch-oyster.el \
+ navi2ch-auto-modify.el"
+
+if [ ${FLAVOR} != emacs ]
+ then
+ /bin/echo "install/${PACKAGE}: Byte-compiling for ${FLAVOR}...\c"
+
+ install -m 755 -d ${ELCDIR}/contrib
+ test -L ${ELCDIR}/navi2ch-config.el && rm -f ${ELCDIR}/navi2ch-config.el
+ # Copy the temp .el files
+ cp ${ELDIR}/{*.el,elisp-comp} ${ELCDIR}
+ cp ${ELDIR}/contrib/*.el ${ELCDIR}/contrib
+
+ # Byte compile them
+ (cd ${ELCDIR} && EMACS=${FLAVOR} /bin/sh elisp-comp \
+ ${LISP} 2>&1 | gzip -9qf > $LOG.gz) || abort_install
+ rm ${ELCDIR}/{*.el,elisp-comp}
+
+ (cd ${ELCDIR} && ln -s contrib/*.el .)
+ ln -s ${ELDIR}/navi2ch-config.el ${ELCDIR}
+
+ echo " done."
+fi
+
+exit 0
diff -Naur navi2ch-1.7.5.orig/fink/navi2ch-remove navi2ch-1.7.5/fink/navi2ch-remove
--- navi2ch-1.7.5.orig/fink/navi2ch-remove Thu Jan 1 09:00:00 1970
+++ navi2ch-1.7.5/fink/navi2ch-remove Sun Apr 3 18:45:29 2005
@@ -0,0 +1,16 @@
+#!/bin/bash -e
+# @PREFIX@/lib/emacsen-common/packages/remove/navi2ch
+
+PACKAGE=navi2ch
+
+FLAVOR=$1
+
+ELCDIR=@PREFIX@/share/$FLAVOR/site-lisp/$PACKAGE/
+
+if [ ${FLAVOR} != emacs ]
+ then
+ /bin/echo "remove/$PACKAGE: Removing for $FLAVOR...\c"
+ rm -rf $ELCDIR
+ echo " done."
+fi
+exit 0
diff -Naur navi2ch-1.7.5.orig/fink/navi2ch-startup navi2ch-1.7.5/fink/navi2ch-startup
--- navi2ch-1.7.5.orig/fink/navi2ch-startup Thu Jan 1 09:00:00 1970
+++ navi2ch-1.7.5/fink/navi2ch-startup Sun Apr 3 19:15:45 2005
@@ -0,0 +1,21 @@
+;; -*-emacs-lisp-*-
+;;
+;; Emacs startup file for the Fink navi2ch package
+
+;; We have to add this to the load-path:
+(setq load-path (cons (concat "@PREFIX@/share/"
+ (symbol-name fink-emacs-flavor)
+ "/site-lisp/navi2ch") load-path))
+
+(setq navi2ch-icon-directory "@PREFIX@/share/pixmaps/navi2ch")
+
+;; If you use mona-font, uncomment here.
+;(setq navi2ch-mona-enable t)
+
+;; If you use izonmoji-mode, uncomment following.
+;(require 'izonmoji-mode)
+;(add-hook 'navi2ch-bm-mode-hook 'izonmoji-mode-on)
+;(add-hook 'navi2ch-article-mode-hook 'izonmoji-mode-on)
+;(add-hook 'navi2ch-popup-article-mode-hook 'izonmoji-mode-on)
+
+(autoload 'navi2ch "navi2ch" "Navigator for 2ch for Emacs" t)

navi2ch _unstable_ port information

Package: navi2ch
Version: 1.8.0
Revision: 1
Description: 2ch navigator for Emacsen
License: GPL
Maintainer: Todai Fink Team
BuildDepends: fink (>= 0.24.12)
Depends: emacsen
Recommends: monafont
Source: mirror:sourceforge:%n/%n-%v.tar.gz
Source-MD5: 444423ca9add7a855243d3d923f5aadd
PatchFile: %n.patch
PatchFile-MD5: e8bdae3fb85bc2a96abf3e34e116ceac
PatchScript: <<
sed 's|@PREFIX@|%p|g' < %{PatchFile} | patch -p1
perl -pi -e "s|( -batch)|\1 -no-site-file|" configure elisp-comp doc/Makefile.in
<<
ConfigureParams: --infodir='${prefix}/share/info' --with-lispdir='${prefix}/share/emacs/site-lisp/%n' --with-icondir='%p/share/pixmaps/%n'
CompileScript: ./configure %c
InstallScript: <<
(cd icons && make install DESTDIR=%d)
(cd doc && make install DESTDIR=%d)

install -m 755 -d %i/share/emacs/site-lisp/%n/contrib
install -m 644 elisp-comp *.el %i/share/emacs/site-lisp/%n
install -m 644 contrib/*.el %i/share/emacs/site-lisp/%n/contrib

install -m 755 -d %i/etc/emacs/site-start.d
install -m 644 fink/%n-startup %i/etc/emacs/site-start.d/50%n.el

install -m 755 -d %i/lib/emacsen-common/packages/{install,remove}
install -m 755 fink/%n-install %i/lib/emacsen-common/packages/install/%n
install -m 755 fink/%n-remove %i/lib/emacsen-common/packages/remove/%n
<<
DocFiles: AUTHORS COPYING ChangeLog* INSTALL NEWS README TODO
PostInstScript: <<
if [ "$1" = "configure" ] && [ -x %p/lib/emacsen-common/emacs-package-install ]
then
%p/lib/emacsen-common/emacs-package-install %n
fi
<<
PreRmScript: <<
if [ -x %p/lib/emacsen-common/emacs-package-remove ] ; then
%p/lib/emacsen-common/emacs-package-remove %n
fi
<<
ConfFiles: %p/etc/emacs/site-start.d/50%n.el
InfoDocs: %n.info
Homepage: http://navi2ch.sourceforge.net/

navi2ch _unstable_ port .patch

diff -Naur navi2ch-1.7.5.orig/fink/navi2ch-install navi2ch-1.7.5/fink/navi2ch-install
--- navi2ch-1.7.5.orig/fink/navi2ch-install Thu Jan 1 09:00:00 1970
+++ navi2ch-1.7.5/fink/navi2ch-install Sun Apr 3 18:53:51 2005
@@ -0,0 +1,55 @@
+#!/bin/bash -e
+# @PREFIX@/lib/emacsen-common/packages/install/navi2ch
+
+abort_install() {
+ echo "Byte compile for ${FLAVOR} failed."
+ echo "Please check @PREFIX@/share/${FLAVOR}/site-lisp/${PACKAGE}/CompilationLog.gz"
+ echo
+ exit 1
+}
+
+PACKAGE=navi2ch
+
+FLAVOR=$1
+
+ELDIR=@PREFIX@/share/emacs/site-lisp/${PACKAGE}/
+ELCDIR=@PREFIX@/share/${FLAVOR}/site-lisp/${PACKAGE}/
+LOG=CompilationLog
+
+LISP="navi2ch-version.el \
+ navi2ch-vars.el navi2ch-face.el navi2ch-util.el \
+ navi2ch-net.el navi2ch-list.el navi2ch-article.el \
+ navi2ch-popup-article.el navi2ch-board-misc.el \
+ navi2ch-board.el navi2ch-articles.el navi2ch-bookmark.el \
+ navi2ch-history.el navi2ch-search.el navi2ch-message.el \
+ navi2ch.el \
+ navi2ch-head.el navi2ch-mona.el navi2ch-e21.el navi2ch-xmas.el \
+ navi2ch-splash.el navi2ch-directory.el \
+ navi2ch-be2ch.el navi2ch-multibbs.el \
+ navi2ch-jbbs-net.el navi2ch-jbbs-shitaraba.el navi2ch-machibbs.el \
+ navi2ch-futaba.el navi2ch-megabbs.el \
+ navi2ch-http-date.el navi2ch-localfile.el navi2ch-oyster.el \
+ navi2ch-auto-modify.el"
+
+if [ ${FLAVOR} != emacs ]
+ then
+ /bin/echo "install/${PACKAGE}: Byte-compiling for ${FLAVOR}...\c"
+
+ install -m 755 -d ${ELCDIR}/contrib
+ test -L ${ELCDIR}/navi2ch-config.el && rm -f ${ELCDIR}/navi2ch-config.el
+ # Copy the temp .el files
+ cp ${ELDIR}/{*.el,elisp-comp} ${ELCDIR}
+ cp ${ELDIR}/contrib/*.el ${ELCDIR}/contrib
+
+ # Byte compile them
+ (cd ${ELCDIR} && EMACS=${FLAVOR} /bin/sh elisp-comp \
+ ${LISP} 2>&1 | gzip -9qf > $LOG.gz) || abort_install
+ rm ${ELCDIR}/{*.el,elisp-comp}
+
+ (cd ${ELCDIR} && ln -s contrib/*.el .)
+ ln -s ${ELDIR}/navi2ch-config.el ${ELCDIR}
+
+ echo " done."
+fi
+
+exit 0
diff -Naur navi2ch-1.7.5.orig/fink/navi2ch-remove navi2ch-1.7.5/fink/navi2ch-remove
--- navi2ch-1.7.5.orig/fink/navi2ch-remove Thu Jan 1 09:00:00 1970
+++ navi2ch-1.7.5/fink/navi2ch-remove Sun Apr 3 18:45:29 2005
@@ -0,0 +1,16 @@
+#!/bin/bash -e
+# @PREFIX@/lib/emacsen-common/packages/remove/navi2ch
+
+PACKAGE=navi2ch
+
+FLAVOR=$1
+
+ELCDIR=@PREFIX@/share/$FLAVOR/site-lisp/$PACKAGE/
+
+if [ ${FLAVOR} != emacs ]
+ then
+ /bin/echo "remove/$PACKAGE: Removing for $FLAVOR...\c"
+ rm -rf $ELCDIR
+ echo " done."
+fi
+exit 0
diff -Naur navi2ch-1.7.5.orig/fink/navi2ch-startup navi2ch-1.7.5/fink/navi2ch-startup
--- navi2ch-1.7.5.orig/fink/navi2ch-startup Thu Jan 1 09:00:00 1970
+++ navi2ch-1.7.5/fink/navi2ch-startup Sun Apr 3 19:15:45 2005
@@ -0,0 +1,21 @@
+;; -*-emacs-lisp-*-
+;;
+;; Emacs startup file for the Fink navi2ch package
+
+;; We have to add this to the load-path:
+(setq load-path (cons (concat "@PREFIX@/share/"
+ (symbol-name fink-emacs-flavor)
+ "/site-lisp/navi2ch") load-path))
+
+(setq navi2ch-icon-directory "@PREFIX@/share/pixmaps/navi2ch")
+
+;; If you use mona-font, uncomment here.
+;(setq navi2ch-mona-enable t)
+
+;; If you use izonmoji-mode, uncomment following.
+;(require 'izonmoji-mode)
+;(add-hook 'navi2ch-bm-mode-hook 'izonmoji-mode-on)
+;(add-hook 'navi2ch-article-mode-hook 'izonmoji-mode-on)
+;(add-hook 'navi2ch-popup-article-mode-hook 'izonmoji-mode-on)
+
+(autoload 'navi2ch "navi2ch" "Navigator for 2ch for Emacs" t)